procedure pos ( a , b : integer );

var       x, y : integer;

begin

   x := ( a div spmax ) * 20 + b;
   y := ( a mod spmax ) + lvoben;
   gotoxy ( x , y );

end; { pos }


procedure list1;

var       i   :integer;

begin

   for i := 0 to filez - 1 do
      begin
      with inhalt [i + offset] do
         begin
            pos ( i , 4 );
            write ( name );
            pos ( i , 13 );
            write ( ext , '   :' );
         end;

      end;

   if i < 60
      then begin
           pos ( i + 1 , 4 );
           write ( '------------   :' );
           end;

end; { list1 }


procedure list2;

var       i, j :integer;

begin

   for i := 0 to 59 do
      begin
      j := (i + offset) mod (filez + 1);
      with inhalt [j] do
         begin
         if j = 0
            then begin
                 pos ( i , 4 );
                 write ( '------------   :');
                 end
            else begin
                 pos ( i , 4 );
                 write ( name , ' ' );
                 pos ( i , 13 );
                 write ( ext , '   :' );
                 if flag
                 then begin
                      pos ( i , 17);
                      write ( '*' );
                      end;
end;
         end;

      end;

end; { list2 }